Skip to main content
DELETE
/
v1
/
payment-requests
/
{request_id}
Delete Payment Request
curl --request DELETE \
  --url https://api.hit-pay.com/v1/payment-requests/{request_id} \
  --header 'X-BUSINESS-API-KEY: <x-business-api-key>'
import requests

url = "https://api.hit-pay.com/v1/payment-requests/{request_id}"

headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};

fetch('https://api.hit-pay.com/v1/payment-requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"{\n    \"success\": true\n}"
"{\n    \"message\": \"No query results for model [App\\\\Business\\\\PaymentRequest] 974ee879-7feb-4bc6-b329-51f32928bd59\"\n}"

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

request_id
string
required

It's payment request id

Response

200

success
boolean
default:true
Example:

true

Last modified on February 25, 2026